// Output_ADLINK_ECAT.h: interface for the COutput_ADLINK_ECAT class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "OutputBase.h"

class CAdlinkCommon_APS;

class COutput_ADLINK_ECAT : public COutputBase
{
public:
    COutput_ADLINK_ECAT(const COutputSetting& Setting);
    virtual ~COutput_ADLINK_ECAT();

    // method to set analog output voltage
    BOOL SetVoltage(double dVoltage, double dRange) override;

    BOOL SetState(bool bState) override;

private:
    std::unique_ptr<CAdlinkCommon_APS> m_pCommon;
};
